require 'test/unit'
require 'gainer/port'

class PortTest < Test::Unit::TestCase
  def test_new
    assert(Gainer::Port.new(self, :port_get))
    assert(Gainer::Port.new(self, :port_get, :port_set))
  end

  def setup
    @port = {}
  end

  def test_setter
    port = Gainer::Port.new(self, :port_get, :port_set)
    port[1] = 2
    assert_equal(@port, { 1 => 2 })
  end

  def test_getter
    @port = { 3 => 4 }
    port = Gainer::Port.new(self, :port_get)
    assert_equal(port[3], 4)
  end

  def port_get(index)
    @port[index]
  end

  def port_set(index, value)
    @port[index] = value
  end
end
